#
# spec file for package libtifiles2 (Version 1.1.1)
#

# norootforbuild

Name:           libtifiles2
BuildRequires:  glib2-devel libticonv-devel zlib-devel
Version:        1.1.5
Release:        %mkrel 2
Url:            http://ticalc.org
Summary:        A library for handling TI files
License:        GPL
Group:          System/Libraries
Source:         %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The tifiles library is a library for reading/modifying/writing TI formatted
files. It can also group/ungroup files. This library can manipulate files in
a fairly transparent fashion without the developer having to worry about the
different file formats.

The library supports all the currently available calculators and their
associated file formats:

- TI8x calculators: TI73, 82, 83, TI83+, 85 and 86 (with 2 sub-classes:
  TI73/83+ & 85/86).
- TI9x calculators: TI89, 92, 92+ and V200PLT.

%package -n     libtifiles2-5
License:        GPL
Summary:        The TiFiles2 runtime library
Group:          System/Libraries

%description -n libtifiles2-5
This package contains the TiFiles2 runtime library.



%package        devel
License:        GPL
Summary:        Development files for libtifiles
Group:          Development/Libraries
Requires:       libtifiles2-5 = %{version}

%description    devel
This package contains the header files and libraries needed to develop
programs that use the TiFiles2 library.



%prep
%setup -q
mkdir -p m4

%build
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall
rm -f %{buildroot}%{_libdir}/libtifiles2.la
%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -n libtifiles2-5 -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libtifiles2.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/tilp2
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/tifiles2.pc

%changelog
* Sat Jul 30 2016 adrianomorselli <adrianomorselli> 1.1.5-2uplos2016
- rebuild

* Sat Jul 16 2016 bb <bb> 1.1.5-2pclos2016
- rebuild for 2016
- fix rpm group

* Tue Sep 04 2012 gseaman <galen.seaman at comcast.net> 1.1.5-1pclos2012
- build for PCLinuxOS


